<?php
if ( class_exists( 'BoldThemesFramework' ) && isset( BoldThemesFramework::$crush_vars ) ) {
	$boldthemes_crush_vars = apply_filters( 'boldthemes_crush_vars', BoldThemesFramework::$crush_vars );
}
if ( class_exists( 'BoldThemesFramework' ) && isset( BoldThemesFramework::$crush_vars_def ) ) {
	$boldthemes_crush_vars_def = BoldThemesFramework::$crush_vars_def;
}
if ( isset( $boldthemes_crush_vars['headingFont'] ) ) {
	$headingFont = $boldthemes_crush_vars['headingFont'];
} else {
	$headingFont = "Playfair Display";
}
if ( isset( $boldthemes_crush_vars['headingSuperTitleFont'] ) ) {
	$headingSuperTitleFont = $boldthemes_crush_vars['headingSuperTitleFont'];
} else {
	$headingSuperTitleFont = "Raleway";
}
if ( isset( $boldthemes_crush_vars['headingSubTitleFont'] ) ) {
	$headingSubTitleFont = $boldthemes_crush_vars['headingSubTitleFont'];
} else {
	$headingSubTitleFont = "Playfair Display";
}
if ( isset( $boldthemes_crush_vars['menuFont'] ) ) {
	$menuFont = $boldthemes_crush_vars['menuFont'];
} else {
	$menuFont = "Raleway";
}
if ( isset( $boldthemes_crush_vars['bodyFont'] ) ) {
	$bodyFont = $boldthemes_crush_vars['bodyFont'];
} else {
	$bodyFont = "Raleway";
}
if ( isset( $boldthemes_crush_vars['accentColor'] ) ) {
	$accentColor = $boldthemes_crush_vars['accentColor'];
} else {
	$accentColor = "#D8C149";
}
$accentColorDark = CssCrush\fn__l_adjust( $accentColor." -15" );$accentColorVeryDark = CssCrush\fn__l_adjust( $accentColor." -55" );$accentColorLight = CssCrush\fn__a_adjust( $accentColor." -30" );if ( isset( $boldthemes_crush_vars['alternateColor'] ) ) {
	$alternateColor = $boldthemes_crush_vars['alternateColor'];
} else {
	$alternateColor = "#00a651";
}
$alternateColorVeryDark = CssCrush\fn__l_adjust( $accentColor." -55" );if ( isset( $boldthemes_crush_vars['logoHeight'] ) ) {
	$logoHeight = $boldthemes_crush_vars['logoHeight'];
} else {
	$logoHeight = "54";
}
$css_override = sanitize_text_field("input:not([type='checkbox']):not([type='radio']),
textarea,
select,
a.select2-choice{
    font-family: \"{$bodyFont}\",arial,sans-serif;}
input:not([type='checkbox']):not([type='radio']):not([type='submit']):focus,
textarea:not([type='checkbox']):not([type='radio']):focus,
a.select2-choice:focus{-webkit-box-shadow: 0 0 4px 0 {$accentColor};
    box-shadow: 0 0 4px 0 {$accentColor};}
html a:hover,
.btLightSkin a:hover,
.btDarkSkin .btLightSkin a:hover,
.btLightSkin .btDarkSkin .btLightSkin a:hover,
.btDarkSkin a:hover,
.btLightSkin .btDarkSkin a:hover,
.btDarkSkin .btLightSkin .btDarkSkin a:hover{
    color: {$accentColor};}
select,
input{font-family: \"{$bodyFont}\";}
body{font-family: \"{$bodyFont}\",Arial,sans-serif;}
h1,
h2,
h3,
h4,
h5,
h6{font-family: \"{$headingFont}\";}
.header h3{font-family: \"{$headingSuperTitleFont}\";}
.btContentHolder table thead th{
    background-color: {$accentColor};
    font-family: \"{$headingFont}\";}
.btDarkSkin .btAccentColorBackground,
.btLightSkin .btDarkSkin .btAccentColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentColorBackground,
.btLightSkin .btAccentColorBackground,
.btDarkSkin .btLightSkin .btAccentColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAccentColorBackground{background-color: {$accentColor};}
.btDarkSkin .btAccentColorBackground .headline b.animate.animated,
.btLightSkin .btDarkSkin .btAccentColorBackground .headline b.animate.animated,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentColorBackground .headline b.animate.animated,
.btLightSkin .btAccentColorBackground .headline b.animate.animated,
.btDarkSkin .btLightSkin .btAccentColorBackground .headline b.animate.animated,
.btLightSkin .btDarkSkin .btLightSkin .btAccentColorBackground .headline b.animate.animated{color: {$alternateColor};}
.btDarkSkin .btAccentColorBackground .btDash.bottomDash .dash:after,
.btLightSkin .btDarkSkin .btAccentColorBackground .btDash.bottomDash .dash:after,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentColorBackground .btDash.bottomDash .dash:after,
.btLightSkin .btAccentColorBackground .btDash.bottomDash .dash:after,
.btDarkSkin .btLightSkin .btAccentColorBackground .btDash.bottomDash .dash:after,
.btLightSkin .btDarkSkin .btLightSkin .btAccentColorBackground .btDash.bottomDash .dash:after{border-color: {$alternateColor};}
.btDarkSkin .btAccentDarkColorBackground,
.btLightSkin .btDarkSkin .btAccentDarkColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentDarkColorBackground,
.btLightSkin .btAccentDarkColorBackground,
.btDarkSkin .btLightSkin .btAccentDarkColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAccentDarkColorBackground{background-color: {$accentColorDark};}
.btDarkSkin .btAccentDarkColorBackground .headline b.animate.animated,
.btLightSkin .btDarkSkin .btAccentDarkColorBackground .headline b.animate.animated,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentDarkColorBackground .headline b.animate.animated,
.btLightSkin .btAccentDarkColorBackground .headline b.animate.animated,
.btDarkSkin .btLightSkin .btAccentDarkColorBackground .headline b.animate.animated,
.btLightSkin .btDarkSkin .btLightSkin .btAccentDarkColorBackground .headline b.animate.animated{color: {$alternateColor};}
.btDarkSkin .btAccentVeryDarkColorBackground,
.btLightSkin .btDarkSkin .btAccentVeryDarkColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentVeryDarkColorBackground,
.btLightSkin .btAccentVeryDarkColorBackground,
.btDarkSkin .btLightSkin .btAccentVeryDarkColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAccentVeryDarkColorBackground{background-color: {$accentColorVeryDark};}
.btDarkSkin .btAccentLightColorBackground,
.btLightSkin .btDarkSkin .btAccentLightColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAccentLightColorBackground,
.btLightSkin .btAccentLightColorBackground,
.btDarkSkin .btLightSkin .btAccentLightColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAccentLightColorBackground{background-color: {$accentColorLight};}
.btDarkSkin .btAlternateColorBackground,
.btLightSkin .btDarkSkin .btAlternateColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAlternateColorBackground,
.btLightSkin .btAlternateColorBackground,
.btDarkSkin .btLightSkin .btAlternateColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAlternateColorBackground{background-color: {$alternateColor};}
.btDarkSkin .btAlternateVeryDarkColorBackground,
.btLightSkin .btDarkSkin .btAlternateVeryDarkColorBackground,
.btDarkSkin .btLightSkin .btDarkSkin .btAlternateVeryDarkColorBackground,
.btLightSkin .btAlternateVeryDarkColorBackground,
.btDarkSkin .btLightSkin .btAlternateVeryDarkColorBackground,
.btLightSkin .btDarkSkin .btLightSkin .btAlternateVeryDarkColorBackground{background-color: {$alternateColorVeryDark};}
.btLightSkin .btText a,
.btDarkSkin .btLightSkin .btText a,
.btLightSkin .btDarkSkin .btLightSkin .btText a,
.btDarkSkin .btText a,
.btLightSkin .btDarkSkin .btText a,
.btDarkSkin .btLightSkin .btDarkSkin .btText a{color: {$accentColor};}
.btAccentDarkHeader .btPreloader .animation > div:first-child{
    background-color: {$accentColor};}
.btPreloader .animation .preloaderLogo{height: {$logoHeight}px;}
.btLightSkin.btPageHeadline,
.btDarkSkin .btLightSkin.btPageHeadline,
.btLightSkin .btDarkSkin .btLightSkin.btPageHeadline,
.btDarkSkin.btPageHeadline,
.btLightSkin .btDarkSkin.btPageHeadline,
.btDarkSkin .btLightSkin .btDarkSkin.btPageHeadline{background-color: {$alternateColor};}
.mainHeader{
    font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
.btAccentDarkHeader.btMenuVertical.btDarkSkin .mainHeader,
.btAccentDarkHeader.btMenuVertical.mainHeader.btDarkSkin,
.btAccentDarkHeader.btMenuVertical.btLightSkin .mainHeader.btDarkSkin{background-color: {$accentColor};}
.btAccentLightHeader.btMenuVertical:not(.btBelowMenu).btDarkSkin .mainHeader,
.btAccentLightHeader.btMenuVertical:not(.btBelowMenu).mainHeader.btDarkSkin,
.btAccentLightHeader.btMenuVertical:not(.btBelowMenu).btLightSkin .mainHeader.btDarkSkin{background-color: {$accentColor};}
.btAccentLightHeader.btStickyHeaderActive:not(.btMenuVertical).btDarkSkin .mainHeader .port,
.btAccentLightHeader.btStickyHeaderActive:not(.btMenuVertical).mainHeader.btDarkSkin .port,
.btAccentLightHeader.btStickyHeaderActive:not(.btMenuVertical).btLightSkin .mainHeader.btDarkSkin .port{background-color: {$accentColor};}
.btAccentDarkHeader.btMenuVertical.btLightSkin .mainHeader,
.btAccentDarkHeader.btMenuVertical.mainHeader.btLightSkin,
.btAccentDarkHeader.btMenuVertical.btDarkSkin .mainHeader.btLightSkin{background-color: {$accentColor};}
.menuPort{font-family: \"{$menuFont}\",Arial,Helvetica,sans-serif;}
.menuPort nav ul li a:hover{color: {$accentColor} !important;}
.btMenuHorizontal .menuPort nav > ul > li > a{line-height: {$logoHeight}px;}
.btTextLogo{
    line-height: {$logoHeight}px;}
.btLogoArea .logo img{height: {$logoHeight}px;}
.btHorizontalMenuTrigger{
    line-height: {$logoHeight}px;}
.btMenuHorizontal .menuPort nav > ul > li > ul li.current-menu-ancestor > a,
.btMenuHorizontal .menuPort nav > ul > li > ul li.current-menu-item > a{color: {$accentColor} !important;}
body.btMenuHorizontal .subToggler{
    line-height: {$logoHeight}px;}
.btMenuHorizontal .menuPort > nav > ul ul{
    top: {$logoHeight}px;}
.btMenuHorizontal .topBarInMenu{
    height: {$logoHeight}px;}
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:hover:before{color: {$alternateColor};}
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .topBar .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .btIco.btIcoDefaultType.btIcoDefaultColor .btIcoHolder:hover:before{color: {$alternateColor};}
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btBelowLogoArea .menuPort > nav > ul > li > a:hover,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .topBar .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .topBar .menuPort > nav > ul > li > a:hover,
.btLightSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentDarkHeader.btMenuHorizontal .btLogoArea .menuPort > nav > ul > li > a:hover,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea .menuPort > nav > ul > li > a:hover,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .topBar .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .topBar .menuPort > nav > ul > li > a:hover,
.btLightSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .menuPort > nav > ul > li > a:hover,
.btDarkSkin.btAccentLightHeader.btMenuHorizontal .btLogoArea .menuPort > nav > ul > li > a:hover{color: {$alternateColor} !important;}
.btAccentLightHeader.btMenuHorizontal .btBelowLogoArea,
.btAccentLightHeader.btMenuHorizontal .topBar{background-color: {$accentColor};}
.btAccentDarkHeader.btMenuHorizontal .mainHeader .port{background-color: {$accentColor};}
.btVerticalMenuTrigger{
    margin: .4em .5em -{$logoHeight}px -.5em;}
.btAccentDarkHeader.btMenuVertical > .menuPort .logo{
    background-color: {$accentColorDark};}
.btMenuVertical > .menuPort .btCloseVertical:before:hover{color: {$accentColor};}
@media (min-width: 1200px){.btMenuVerticalOn .btVerticalMenuTrigger .btIco a:before{color: {$accentColor} !important;}
}a.btIconWidget:hover{color: {$accentColor} !important;}
.btSpecialHeaderIcon .btIco .btIcoHolder:before,
.btSpecialHeaderIcon .btIconWidgetTitle,
.btSpecialHeaderIcon .btIconWidgetText{color: {$accentColor} !important;}
.btMenuHorizontal .topBarInLogoArea{
    height: {$logoHeight}px;}
.btMenuHorizontal .topBarInLogoArea .topBarInLogoAreaCell{border: 0 solid {$accentColor};}
.topBar .widget_search button,
.topBarInMenu .widget_search button{
    background: {$accentColor};}
.topBar .widget_search button:before,
.topBarInMenu .widget_search button:before{
    color: {$accentColor};}
.topBar .widget_search button:hover,
.topBarInMenu .widget_search button:hover{background: {$accentColorDark};}
.btSearchInner.btFromTopBox{
    background: {$accentColorDark};}
.btSearchInner.btFromTopBox form button:hover:before{color: {$accentColor};}
.btMediaBox.btQuote,
.btMediaBox.btLink{
    background-color: {$accentColor};}
.btArticleListItem .headline a:hover{color: {$accentColor};}
.btArticleListItem.btBlogColumnView .btArticleListBodyAuthor a,
.btPostSingleItemColumns .btArticleListBodyAuthor a{color: {$accentColor} !important;}
.btCommentsBox .commentTxt p.edit-link a:hover,
.btCommentsBox .commentTxt p.reply a:hover{color: {$accentColor};}
.post-password-form input[type=\"submit\"]{
    background: {$accentColor};
    font-family: \"{$headingFont}\";}
.btPagination{font-family: \"{$headingFont}\";}
.btPagination .paging a:hover:after{background-color: {$accentColor};}
.btPagination .paging a:hover:after{border-color: {$accentColor};}
.comment-respond .btnOutline button[type=\"submit\"]{font-family: \"{$headingFont}\";}
a#cancel-comment-reply-link:hover{color: {$accentColor};}
span.btHighlight{
    background-color: {$accentColor};}
.header .btSubTitle .btArticleCategories a:not(:first-child):before,
.header .btSuperTitle .btArticleCategories a:not(:first-child):before{
    background-color: {$accentColor};}
body:not(.btNoDashInSidebar) .btBox > h4:after,
body:not(.btNoDashInSidebar) .btCustomMenu > h4:after,
body:not(.btNoDashInSidebar) .btTopBox > h4:after,
body:not(.btNoDashInSidebar) .btSiteFooterWidgets > h4:after{
    border-bottom: 3px solid {$accentColor};}
.btBox .ppTxt .header .headline a a:hover,
.btCustomMenu .ppTxt .header .headline a a:hover,
.btTopBox .ppTxt .header .headline a a:hover,
.btSiteFooterWidgets .ppTxt .header .headline a a:hover{color: {$accentColor};}
.btBox p.posted,
.btBox .quantity,
.btCustomMenu p.posted,
.btCustomMenu .quantity,
.btTopBox p.posted,
.btTopBox .quantity,
.btSiteFooterWidgets p.posted,
.btSiteFooterWidgets .quantity{
    font-family: {$bodyFont};}
.widget_calendar table caption{background: {$accentColor};
    font-family: \"{$headingFont}\";}
.widget_rss li a.rsswidget{font-family: \"{$headingFont}\";}
.btBox .btSearch button:hover,
form.woocommerce-product-search button:hover{background: {$accentColor} !important;
    border-color: {$accentColor} !important;}
.fancy-select .trigger{
    font-family: \"{$bodyFont}\",arial,sans-serif;}
.fancy-select .trigger.open{color: {$accentColor};}
.fancy-select ul.options li:hover{color: {$accentColor};}
.widget_shopping_cart .total{
    font-family: {$headingFont};}
.widget_shopping_cart .widget_shopping_cart_content .mini_cart_item .ppRemove a.remove{
    background-color: {$accentColor};}
.widget_shopping_cart .widget_shopping_cart_content .mini_cart_item .ppRemove a.remove:hover{background-color: {$alternateColor};}
.widget_shopping_cart .widget_shopping_cart_content .mini_cart_item .ppRemove a.remove:before:hover{background-color: {$alternateColor};}
.topTools .widget_shopping_cart .widget_shopping_cart_content .mini_cart_item .ppImage a:hover img{border: 1px solid {$accentColor};}
.menuPort .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents,
.topTools .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents,
.topBarInLogoArea .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetIcon span.cart-contents{
    background-color: {$alternateColor};
    font: normal 10px/1 {$menuFont};}
.btMenuVertical .menuPort .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler,
.btMenuVertical .topTools .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler,
.btMenuVertical .topBarInLogoArea .widget_shopping_cart .widget_shopping_cart_content .btCartWidgetInnerContent .verticalMenuCartToggler{
    background-color: {$accentColor};}
.widget_recent_reviews{font-family: {$headingFont};}
.widget_price_filter .price_slider_wrapper .ui-slider .ui-slider-handle{
    background-color: {$accentColor};}
.btBox .tagcloud a,
.btTags ul a{
    background: {$accentColor};}
.btIco{
    font-family: \"{$headingFont}\";}
.btIco.btIcoFilledType.btIcoAccentColor .btIcoHolder:before,
.btIco.btIcoOutlineType.btIcoAccentColor:hover .btIcoHolder:before{-webkit-box-shadow: 0 0 0 1em {$accentColor} inset;
    box-shadow: 0 0 0 1em {$accentColor} inset;}
.btIco.btIcoFilledType.btIcoAccentColor:hover .btIcoHolder:before,
.btIco.btIcoOutlineType.btIcoAccentColor .btIcoHolder:before{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;
    color: {$accentColor};}
.btIco.btIcoFilledType.btIcoAlternateColor .btIcoHolder:before,
.btIco.btIcoOutlineType.btIcoAlternateColor:hover .btIcoHolder:before{-webkit-box-shadow: 0 0 0 1em {$alternateColor} inset;
    box-shadow: 0 0 0 1em {$alternateColor} inset;}
.btIco.btIcoFilledType.btIcoAlternateColor:hover .btIcoHolder:before,
.btIco.btIcoOutlineType.btIcoAlternateColor .btIcoHolder:before{-webkit-box-shadow: 0 0 0 1px {$alternateColor} inset;
    box-shadow: 0 0 0 1px {$alternateColor} inset;
    color: {$alternateColor};}
.btLightSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btLightSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before,
.btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before,
.btLightSkin .btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btLightSkin .btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before,
.btDarkSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btDarkSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before,
.btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before,
.btDarkSkin .btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoAccentColor .btIcoHolder:before,
.btDarkSkin .btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoDefaultColor:hover .btIcoHolder:before{color: {$accentColor};}
.btLightSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before,
.btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before,
.btLightSkin .btDarkSkin .btLightSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before,
.btDarkSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before,
.btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before,
.btDarkSkin .btLightSkin .btDarkSkin .btIco.btIcoDefaultType.btIcoAlternateColor .btIcoHolder:before{color: {$alternateColor};}
.btIcoAccentColor span{color: {$accentColor};}
.btIcoAlternateColor span{color: {$alternateColor};}
.btIcoDefaultColor:hover span{color: {$accentColor};}
.btnFilledStyle.btnAccentColor,
.btnOutlineStyle.btnAccentColor:hover{background-color: {$accentColor};
    border: 1px solid {$accentColor};}
.btnOutlineStyle.btnAccentColor,
.btnFilledStyle.btnAccentColor:hover{
    border: 1px solid {$accentColor};
    color: {$accentColor};}
.btnOutlineStyle.btnAccentColor span,
.btnFilledStyle.btnAccentColor:hover span,
.btnOutlineStyle.btnAccentColor span:before,
.btnFilledStyle.btnAccentColor:hover span:before,
.btnOutlineStyle.btnAccentColor a,
.btnFilledStyle.btnAccentColor:hover a,
.btnOutlineStyle.btnAccentColor .btIco a:before,
.btnFilledStyle.btnAccentColor:hover .btIco a:before,
.btnOutlineStyle.btnAccentColor button,
.btnFilledStyle.btnAccentColor:hover button{color: {$accentColor} !important;}
.btnBorderlessStyle.btnAccentColor span,
.btnBorderlessStyle.btnNormalColor:hover span,
.btnBorderlessStyle.btnAccentColor span:before,
.btnBorderlessStyle.btnNormalColor:hover span:before,
.btnBorderlessStyle.btnAccentColor a,
.btnBorderlessStyle.btnNormalColor:hover a,
.btnBorderlessStyle.btnAccentColor .btIco a:before,
.btnBorderlessStyle.btnNormalColor:hover .btIco a:before,
.btnBorderlessStyle.btnAccentColor button,
.btnBorderlessStyle.btnNormalColor:hover button{color: {$accentColor};}
.btnFilledStyle.btnAlternateColor,
.btnOutlineStyle.btnAlternateColor:hover{background-color: {$alternateColor};
    border: 1px solid {$alternateColor};}
.btnOutlineStyle.btnAlternateColor,
.btnFilledStyle.btnAlternateColor:hover{
    border: 1px solid {$alternateColor};
    color: {$alternateColor};}
.btnOutlineStyle.btnAlternateColor span,
.btnFilledStyle.btnAlternateColor:hover span,
.btnOutlineStyle.btnAlternateColor span:before,
.btnFilledStyle.btnAlternateColor:hover span:before,
.btnOutlineStyle.btnAlternateColor a,
.btnFilledStyle.btnAlternateColor:hover a,
.btnOutlineStyle.btnAlternateColor .btIco a:before,
.btnFilledStyle.btnAlternateColor:hover .btIco a:before,
.btnOutlineStyle.btnAlternateColor button,
.btnFilledStyle.btnAlternateColor:hover button{color: {$alternateColor} !important;}
.btnBorderlessStyle.btnAlternateColor span,
.btnBorderlessStyle.btnAlternateColor span:before,
.btnBorderlessStyle.btnAlternateColor a,
.btnBorderlessStyle.btnAlternateColor .btIco a:before,
.btnBorderlessStyle.btnAlternateColor button{color: {$alternateColor};}
.btCounterHolder.cDown .btCountdownHolder > span > span[class$=\"_text\"]{
    color: {$accentColor};
    font-family: '{$headingFont}',arial,sans-serif;}
li.product .bpgPhoto .captionPane{background-color: {$accentColor} !important;}
.btPriceTable .btPriceTableHeader .header.extralarge .btSubTitle{
    font-family: \"{$bodyFont}\",arial,sans-serif;}
.btPriceTable .btPriceTableHeader .header.extralarge .dash h1{
    font-family: \"{$bodyFont}\",arial,sans-serif;}
.btPriceTable ul li{
    font-family: {$headingFont};}
.header .btSuperTitle{
    font-family: \"{$headingSuperTitleFont}\";}
.header .btSubTitle{
    font-family: \"{$headingSubTitleFont}\";}
.btDash.bottomDash .dash:after{
    border-bottom: 1px solid {$accentColor};}
.header.medium h3,
.header.medium h4{
    font-family: {$headingFont};}
.header.large h2,
.header.large h3{font-family: {$headingSuperTitleFont};}
.header.large .btSuperTitle{font-family: {$headingFont};}
.btNoMore{
    font-family: {$headingFont};}
.btGridContent .header .btSuperTitle a:hover{color: {$accentColor};}
.btCatFilter{
    font-family: {$headingFont};}
.btCatFilter .btCatFilterItem:hover{color: {$accentColor};}
.btCatFilter .btCatFilterItem.active{color: {$accentColor};}
h4.nbs a .nbsItem .nbsDir{
    font-family: \"{$headingSuperTitleFont}\";}
.btInfoBar .btInfoBarMeta p strong{color: {$accentColor};}
.recentTweets small:before{
    color: {$accentColor};}
.tabsHeader li{
    font-family: \"{$headingFont}\",arial,sans-serif;}
.tabsVertical .tabAccordionTitle{
    font-family: \"{$headingFont}\";}
.btDarkSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover,
.btLightSkin .btDarkSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover,
.btDarkSkin .btLightSkin .btDarkSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover{color: {$accentColor};}
.btLightSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover,
.btDarkSkin .btLightSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover,
.btLightSkin .btDarkSkin .btLightSkin .btLatestPostsContainer .btSingleLatestPost h4 a:hover{color: {$accentColor};}
.btDarkSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover,
.btLightSkin .btDarkSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover,
.btDarkSkin .btLightSkin .btDarkSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover{color: {$accentColor};}
.btLightSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover,
.btDarkSkin .btLightSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover,
.btLightSkin .btDarkSkin .btLightSkin .btLatestPostsContainer .btSingleLatestPost .btSuperTitle a.btArticleAuthor:hover{color: {$accentColor};}
.btVisualizer{font-family: {$headingFont};}
form.wpcf7-form .wpcf7-submit{
    background-color: {$accentColor};}
.btAnimNav li.btAnimNavDot{
    font-family: {$headingFont};}
.btAnimNav li.btAnimNavNext:hover,
.btAnimNav li.btAnimNavPrev:hover{border-color: {$accentColor};
    color: {$accentColor};}
.headline b.animate.animated{
    color: {$accentColor};}
p.demo_store{
    background-color: {$accentColor};}
.woocommerce .woocommerce-info a: not(.button),
.woocommerce .woocommerce-message a: not(.button),
.woocommerce-page .woocommerce-info a: not(.button),
.woocommerce-page .woocommerce-message a: not(.button){color: {$accentColor};}
.woocommerce .woocommerce-message:before,
.woocommerce .woocommerce-info:before,
.woocommerce-page .woocommerce-message:before,
.woocommerce-page .woocommerce-info:before{
    color: {$accentColor};}
.woocommerce .woocommerce-error .button,
.woocommerce .woocommerce-info .button,
.woocommerce .woocommerce-message .button,
.woocommerce-page .woocommerce-error .button,
.woocommerce-page .woocommerce-info .button,
.woocommerce-page .woocommerce-message .button{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce a.button,
.woocommerce input[type=\"submit\"],
.woocommerce button[type=\"submit\"],
.woocommerce input.button,
.woocommerce input.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce .button.alt:hover,
.woocommerce button.alt:hover,
.woocommerce-page a.button,
.woocommerce-page input[type=\"submit\"],
.woocommerce-page button[type=\"submit\"],
.woocommerce-page input.button,
.woocommerce-page input.alt:hover,
.woocommerce-page a.button.alt:hover,
.woocommerce-page .button.alt:hover,
.woocommerce-page button.alt:hover{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce a.checkout-button,
.woocommerce input#place_order,
.woocommerce input[name=\"save_address\"],
.woocommerce-page a.checkout-button,
.woocommerce-page input#place_order,
.woocommerce-page input[name=\"save_address\"]{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce a.button:hover,
.woocommerce input[type=\"submit\"]:hover,
.woocommerce .button:hover,
.woocommerce button:hover,
.woocommerce input.alt,
.woocommerce a.button.alt,
.woocommerce .button.alt,
.woocommerce button.alt,
.woocommerce-page a.button:hover,
.woocommerce-page input[type=\"submit\"]:hover,
.woocommerce-page .button:hover,
.woocommerce-page button:hover,
.woocommerce-page input.alt,
.woocommerce-page a.button.alt,
.woocommerce-page .button.alt,
.woocommerce-page button.alt{font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce p.lost_password:before,
.woocommerce-page p.lost_password:before{
    color: {$accentColor};}
.woocommerce form.login p.lost_password a:hover,
.woocommerce-page form.login p.lost_password a:hover{color: {$accentColor};}
.woocommerce .added:after,
.woocommerce .loading:after,
.woocommerce-page .added:after,
.woocommerce-page .loading:after{
    background-color: {$accentColor};}
.woocommerce div.product p.price,
.woocommerce div.product span.price,
.woocommerce-page div.product p.price,
.woocommerce-page div.product span.price{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;
    color: {$accentColor};}
.woocommerce div.product .stock,
.woocommerce-page div.product .stock{color: {$accentColor};}
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:after,
.woocommerce-page div.product div.images .woocommerce-product-gallery__trigger:after{
    -webkit-box-shadow: 0 0 0 2em {$accentColor} inset,0 0 0 2em rgba(255,255,255,.5) inset;
    box-shadow: 0 0 0 2em {$accentColor} inset,0 0 0 2em rgba(255,255,255,.5) inset;}
.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover:after,
.woocommerce-page div.product div.images .woocommerce-product-gallery__trigger:hover:after{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 2em rgba(255,255,255,.5) inset;
    box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 2em rgba(255,255,255,.5) inset;
    color: {$accentColor};}
.woocommerce div.product .button,
.woocommerce-page div.product .button{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce div.product a.reset_variations:hover,
.woocommerce-page div.product a.reset_variations:hover{color: {$accentColor};}
.woocommerce div.product.product-type-grouped .single_add_to_cart_button,
.woocommerce-page div.product.product-type-grouped .single_add_to_cart_button{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce .added_to_cart,
.woocommerce-page .added_to_cart{
    font-family: \"{$headingFont}\",Arial,Helvetica,sans-serif;}
.woocommerce .products ul li.product .price,
.woocommerce ul.products li.product .price,
.woocommerce.columns-4 .products ul li.product .price,
.woocommerce.columns-4 ul.products li.product .price,
.woocommerce-page .products ul li.product .price,
.woocommerce-page ul.products li.product .price,
.woocommerce-page.columns-4 .products ul li.product .price,
.woocommerce-page.columns-4 ul.products li.product .price{
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce .products ul li.product a.btBtn,
.woocommerce ul.products li.product a.btBtn,
.woocommerce.columns-4 .products ul li.product a.btBtn,
.woocommerce.columns-4 ul.products li.product a.btBtn,
.woocommerce-page .products ul li.product a.btBtn,
.woocommerce-page ul.products li.product a.btBtn,
.woocommerce-page.columns-4 .products ul li.product a.btBtn,
.woocommerce-page.columns-4 ul.products li.product a.btBtn{
    background-color: {$alternateColor};}
.woocommerce .products ul li.product a.btBtn:hover,
.woocommerce ul.products li.product a.btBtn:hover,
.woocommerce.columns-4 .products ul li.product a.btBtn:hover,
.woocommerce.columns-4 ul.products li.product a.btBtn:hover,
.woocommerce-page .products ul li.product a.btBtn:hover,
.woocommerce-page ul.products li.product a.btBtn:hover,
.woocommerce-page.columns-4 .products ul li.product a.btBtn:hover,
.woocommerce-page.columns-4 ul.products li.product a.btBtn:hover{background-color: {$accentColor};}
.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li a.next,
.woocommerce nav.woocommerce-pagination ul li a.prev,
.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce-page nav.woocommerce-pagination ul li a:focus,
.woocommerce-page nav.woocommerce-pagination ul li a:hover,
.woocommerce-page nav.woocommerce-pagination ul li a.next,
.woocommerce-page nav.woocommerce-pagination ul li a.prev,
.woocommerce-page nav.woocommerce-pagination ul li span.current{background: {$accentColor};}
.woocommerce .star-rating span:before,
.woocommerce-page .star-rating span:before{
    color: {$accentColor};}
.woocommerce p.stars a[class^=\"star-\"].active:after,
.woocommerce p.stars a[class^=\"star-\"]:hover:after,
.woocommerce-page p.stars a[class^=\"star-\"].active:after,
.woocommerce-page p.stars a[class^=\"star-\"]:hover:after{color: {$accentColor};}
.woocommerce-cart table.cart td.product-remove a.remove{
    color: {$accentColor};
    border: 1px solid {$accentColor};}
.woocommerce-cart table.cart td.product-remove a.remove:hover{background-color: {$accentColor};}
.woocommerce-cart .cart_totals .discount td{color: {$accentColor};}
.woocommerce-account header.title .edit{
    color: {$accentColor};}
.woocommerce-account header.title .edit:before{
    color: {$accentColor};}
.btLightSkin.woocommerce-page .product .headline a:hover,
.btDarkSkin .btLightSkin.woocommerce-page .product .headline a:hover,
.btLightSkin .btDarkSkin .btLightSkin.woocommerce-page .product .headline a:hover,
.btDarkSkin.woocommerce-page .product .headline a:hover,
.btLightSkin .btDarkSkin.woocommerce-page .product .headline a:hover,
.btDarkSkin .btLightSkin .btDarkSkin.woocommerce-page .product .headline a:hover{color: {$accentColor};}
.woocommerce-MyAccount-navigation ul li:before{
    background-color: {$accentColor};}
.woocommerce-MyAccount-navigation ul li.is-active a{color: {$accentColor};}
.woocommerce input[type=\"submit\"].woocommerce-Button.button{
    background-color: {$accentColor};
    font-family: \"{$bodyFont}\",Arial,Helvetica,sans-serif;}
.woocommerce input[type=\"submit\"].woocommerce-Button.button:hover{background-color: {$alternateColor};}
.select2-container--default .select2-results__option--highlighted[aria-selected],
.select2-container--default .select2-results__option--highlighted[data-selected]{background-color: {$accentColor};}
.btQuoteBooking .btTotalNextWrapper{
    font-family: \"{$headingFont}\";}
.btQuoteBooking .btContactNext{
    border: {$accentColor} 2px solid;
    color: {$accentColor};}
.btQuoteBooking .btContactNext:hover,
.btQuoteBooking .btContactNext:active{background-color: {$accentColor} !important;}
.btQuoteBooking .btQuoteSwitch:hover{-webkit-box-shadow: 0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
.btQuoteBooking .btQuoteSwitch.on .btQuoteSwitchInner{
    background: {$accentColor};}
.btQuoteBooking .dd.ddcommon.borderRadiusTp .ddTitleText,
.btQuoteBooking .dd.ddcommon.borderRadiusBtm .ddTitleText{
    -webkit-box-shadow: 5px 0 0 {$accentColor} inset,0 2px 10px rgba(0,0,0,.2);
    box-shadow: 5px 0 0 {$accentColor} inset,0 2px 10px rgba(0,0,0,.2);}
.btQuoteBooking .ui-slider .ui-slider-handle{
    background: {$accentColor};}
.btQuoteBooking .btQuoteBookingForm .btQuoteTotal{
    background: {$accentColor};}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError input,
.btQuoteBooking .btContactFieldMandatory.btContactFieldError textarea{border: 1px solid {$accentColor};
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError .dd.ddcommon.borderRadius .ddTitleText{border: 1px solid {$accentColor};
    -webkit-box-shadow: 0 0 0 1px {$accentColor} inset;
    box-shadow: 0 0 0 1px {$accentColor} inset;}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError input:hover,
.btQuoteBooking .btContactFieldMandatory.btContactFieldError textarea:hover{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError .dd.ddcommon.borderRadius:hover .ddTitleText{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 1px {$accentColor} inset,0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError input:focus,
.btQuoteBooking .btContactFieldMandatory.btContactFieldError textarea:focus{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset,5px 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 1px {$accentColor} inset,5px 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
.btQuoteBooking .btContactFieldMandatory.btContactFieldError .dd.ddcommon.borderRadiusTp .ddTitleText{-webkit-box-shadow: 0 0 0 1px {$accentColor} inset,5px 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 1px {$accentColor} inset,5px 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
.btQuoteBooking .btSubmitMessage{color: {$accentColor};}
.btDatePicker .ui-datepicker-header{
    background-color: {$accentColor};}
.btQuoteBooking .btContactSubmit{font-family: \"{$headingFont}\";
    background-color: {$accentColor};
    border: 1px solid {$accentColor};}
.btQuoteBooking .btContactSubmit:hover{
    color: {$accentColor};}
.btPayPalButton:hover{-webkit-box-shadow: 0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);
    box-shadow: 0 0 0 {$accentColor} inset,0 1px 5px rgba(0,0,0,.2);}
#btSettingsPanel #btSettingsPanelToggler:before{
    color: {$accentColor};}
#btSettingsPanel h4{
    background-color: {$accentColor};}
#btSettingsPanel .btSettingsPanelRow.btAccentColorRow .trigger,
#btSettingsPanel .btSettingsPanelRow.btAccentColorRow select{border-color: {$accentColor};}
#btSettingsPanel .btSettingsPanelRow.btAlternateColorRow .trigger,
#btSettingsPanel .btSettingsPanelRow.btAlternateColorRow select{border-color: {$alternateColor};}
.wp-block-button__link:hover{color: {$accentColor} !important;}
", array() );