<?php

// add to cart button

if ( ! function_exists( 'boldthemes_wc_get_add_to_cart_button' ) ) {
	function boldthemes_wc_get_add_to_cart_button( $product ) {
		return sprintf( '<a rel="nofollow" href="%s" data-quantity="%s" data-product_id="%s" data-product_sku="%s" class="btBtn btnOutlineStyle btnSmall btnNormal btnNormalColor add_to_cart_button ajax_add_to_cart %s"><span class="btnInnerText">%s</span></a>',
			esc_url( $product->add_to_cart_url() ),
			esc_attr( isset( $quantity ) ? $quantity : 1 ),
			esc_attr( $product->get_id() ),
			esc_attr( $product->get_sku() ),
			esc_attr( isset( $class ) ? $class : '' ),
			esc_html( $product->add_to_cart_text() )
		);
	}
}

/**
 * Share buttons.
 */

if ( ! function_exists( 'boldthemes_wc_get_share_buttons' ) ) {
	function boldthemes_wc_get_share_buttons( $permalink ) {
		return boldthemes_get_share_html( $permalink, 'shop', 'btIcoSmallSize', 'btIcoFilledType btIcoDefaultColor' );
	}
}

/**
 * Show the product title in the product loop.
 */
if (  ! function_exists( 'woocommerce_template_loop_product_title' ) ) {
	function woocommerce_template_loop_product_title() {
		global $product;

		$subtitle = '';

		if ( boldthemes_woocommerce_is_new_version() ) {
			
			if ( get_option( 'woocommerce_enable_review_rating' ) !== 'no' && $rating_html = wc_get_rating_html( $product->get_average_rating() ) ) {
				$subtitle = $rating_html;
			}

		}else{

			if ( get_option( 'woocommerce_enable_review_rating' ) !== 'no' && $rating_html = $product->get_rating_html() ) {
				$subtitle = $rating_html;
			}

		}

		if ( $subtitle == '' ) {
			$subtitle = '<span class="btNoStarRating"></span>';	;
		}

		$categories = wp_get_post_terms( $product->get_id(), 'product_cat' );

		$supertitle = '';

		$title = '<a href = "' . get_permalink() . '">' . get_the_title() . '</a>';
		
		$dash = boldthemes_get_option( 'shop_use_dash' );
		if ( $dash != '' ) {
			$dash = 'top';
		}

		echo boldthemes_get_heading_html( $supertitle, $title, $subtitle, 'medium', $dash, '', '' ) ;

	}
}

/**
 * Default header dash
 */
add_filter( 'boldthemes_header_headline_dash', 'boldthemes_header_headline_dash' );
if ( ! function_exists( 'boldthemes_header_headline_dash' ) ) {
	function boldthemes_header_headline_dash() {
		return ""; // 
	}
}


/**
*Tags
*/

function bt_tag_cloud_filter($args = array()) {
    $args['smallest'] = 0.8;
    $args['largest'] = 0.8;
    $args['unit'] = 'em';
    return $args;
}

add_filter('widget_tag_cloud_args', 'bt_tag_cloud_filter', 90);